## ros-noetic-roslib 1.15.8

=== debian/changelog ===
ros-noetic-roslib (1.15.8-1buster) buster; urgency=high

  * Fix spelling (#277 <https://github.com/ros/ros/issues/277>)
  * Update maintainers (#272 <https://github.com/ros/ros/issues/272>)
  * Contributors: Jacob Perron, freddii

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 21 Jul 2021 07:00:00 -0000

ros-noetic-roslib (1.15.7-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 28 Sep 2020 07:00:00 -0000

ros-noetic-roslib (1.15.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 Jul 2020 07:00:00 -0000

ros-noetic-roslib (1.15.5-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Jul 2020 07:00:00 -0000

ros-noetic-roslib (1.15.4-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 07:00:00 -0000

ros-noetic-roslib (1.15.3-1buster) buster; urgency=high

  * fix TypeError str / bytes (#256 <https://github.com/ros/ros/issues/256>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 14 May 2020 07:00:00 -0000

ros-noetic-roslib (1.15.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Apr 2020 07:00:00 -0000

ros-noetic-roslib (1.15.1-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 17 Mar 2020 07:00:00 -0000

ros-noetic-roslib (1.15.0-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2020 08:00:00 -0000

ros-noetic-roslib (1.14.8-1buster) buster; urgency=high

  * fix various issues discovered by flake8 (#241 <https://github.com/ros/ros/issues/241>)
  * update style to pass flake8 (#240 <https://github.com/ros/ros/issues/240>)
  * restrict boost dependencies to components used (#236 <https://github.com/ros/ros/issues/236>)
  * Use setuptools instead of distutils (#235 <https://github.com/ros/ros/issues/235>)
  * Bump CMake version to avoid CMP0048 warning (#234 <https://github.com/ros/ros/issues/234>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2020 08:00:00 -0000

ros-noetic-roslib (1.14.7-1buster) buster; urgency=high

  * use condition attributes to specify Python 2 and 3 dependencies (#226 <https://github.com/ros/ros/issues/226>)
  * symlink search for roslib (#225 <https://github.com/ros/ros/issues/225>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-noetic-roslib (1.14.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Mar 2019 07:00:00 -0000

ros-noetic-roslib (1.14.5-1buster) buster; urgency=high

  * disable test with invalid dependency (#202 <https://github.com/ros/ros/issues/202>)
  * special handle Python script without extension on Windows (#197 <https://github.com/ros/ros/issues/197>)
  * use _MSC_VER for ROS_FORCE_INLINE (#194 <https://github.com/ros/ros/issues/194>)
  * chmod -x on Python modules (#183 <https://github.com/ros/ros/issues/183>)
  * fix build issue on Windows (#186 <https://github.com/ros/ros/issues/186>)
  * add missing dependencies (#181 <https://github.com/ros/ros/issues/181>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Mar 2019 08:00:00 -0000

ros-noetic-roslib (1.14.4-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 May 2018 07:00:00 -0000

ros-noetic-roslib (1.14.3-1buster) buster; urgency=high

  * replace env hooks with a dependency on ros_environment (#166 <https://github.com/ros/ros/issues/166>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 30 Jan 2018 08:00:00 -0000

ros-noetic-roslib (1.14.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Oct 2017 07:00:00 -0000

ros-noetic-roslib (1.14.1-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-noetic-roslib (1.14.0-1buster) buster; urgency=high

  * update ROS_DISTRO to lunar

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-noetic-roslib (1.13.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 31 Oct 2017 07:00:00 -0000

ros-noetic-roslib (1.13.5-1buster) buster; urgency=high

  * fix missing export depends (#128 <https://github.com/ros/ros/issues/128>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Feb 2017 08:00:00 -0000

ros-noetic-roslib (1.13.4-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-noetic-roslib (1.13.3-1buster) buster; urgency=high

  * allow expected ROS_DISTRO value to be overridden at compile time (#122 <https://github.com/ros/ros/pull/122>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Sep 2016 07:00:00 -0000

ros-noetic-roslib (1.13.2-1buster) buster; urgency=high

  * avoid putting the rosbuild stacks dir on RPP if it doesn't exist (#111 <https://github.com/ros/ros/pull/111>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Sep 2016 07:00:00 -0000

ros-noetic-roslib (1.13.1-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Mar 2016 08:00:00 -0000

ros-noetic-roslib (1.13.0-1buster) buster; urgency=high

  * update ROS_DISTRO to kinetic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Mar 2016 08:00:00 -0000

ros-noetic-roslib (1.12.6-1buster) buster; urgency=high

  * expose an API (ros::package::getPlugins) which can map multiple export values to one package name (#103 <https://github.com/ros/ros/issues/103>)
  * deprecate API returning incomplete information (#103 <https://github.com/ros/ros/issues/103>)
  * allow caching of rospack results (#97 <https://github.com/ros/ros/issues/97>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Mar 2016 08:00:00 -0000

ros-noetic-roslib (1.12.5-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-noetic-roslib (1.12.4-1buster) buster; urgency=high


