=== debian/control ===
Source: ros-noetic-roslib
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), libboost-filesystem-dev, libboost-thread-dev, python3-setuptools, ros-noetic-catkin (>= 0.6.7), ros-noetic-rosmake, ros-noetic-rospack
Homepage: http://wiki.ros.org/roslib
Standards-Version: 3.9.2

Package: ros-noetic-roslib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg (>= 1.0.37), ros-noetic-catkin, ros-noetic-ros-environment, ros-noetic-rospack
Description: Base dependencies and support libraries for ROS.
 roslib contains many of the common data structures and tools that are shared across ROS client library implementations.
